import { useEffect } from 'react';
import PropTypes from 'prop-types';
import { initListener, addOnLoginSubscriber, removeOnLoginSubscriber, addOnLogoutSubscriber, removeOnLogoutSubscriber } from './helper';
export default function GigyaGlobalEvents(_ref) {
  var onLogin = _ref.onLogin,
      onLogout = _ref.onLogout;

  var registerEvents = function registerEvents(_ref2) {
    var onLogin = _ref2.onLogin,
        onLogout = _ref2.onLogout;
    onLogin && addOnLoginSubscriber(onLogin);
    onLogout && addOnLogoutSubscriber(onLogout);
  };

  var unregisterEvents = function unregisterEvents(_ref3) {
    var onLogin = _ref3.onLogin,
        onLogout = _ref3.onLogout;
    onLogin && removeOnLoginSubscriber(onLogin);
    onLogout && removeOnLogoutSubscriber(onLogout);
  };

  useEffect(function () {
    initListener();
    registerEvents({
      onLogin: onLogin,
      onLogout: onLogout
    });
    return function () {
      return unregisterEvents({
        onLogin: onLogin,
        onLogout: onLogout
      });
    };
  });
  return null;
}
GigyaGlobalEvents.displayName = 'GigyaGlobalEvents';
GigyaGlobalEvents.propTypes = {
  /**
   * A listener to be executed onLogin gigya event
   */
  onLogin: PropTypes.func,

  /**
   * A listener to be executed onLogout gigya event
   */
  onLogout: PropTypes.func
};